# Validate account

## Validate account

> Validate account payload and external identifiers.\
> Available for Operations account with platform account management permissions.\
> Returns validation result.\
> Use this endpoint to check account externalId constraints before activation.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5521-gb6ada4dc"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/accounts/{id}/validate":{"post":{"tags":["Accounts"],"summary":"Validate account","description":"Validate account payload and external identifiers.\nAvailable for Operations account with platform account management permissions.\nReturns validation result.\nUse this endpoint to check account externalId constraints before activation.","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Validation payload.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AccountValidate"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AccountValidate"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AccountValidate"}]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AccountValidate":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/account/validate-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
